hab dieses script in den autostart von debian sarge eingebunden
Code: Alles auswählen
#!/bin/sh
# (C) 2003 by triendl.kj
# dieses skript dient zur herstellung einer adsl-verbindung in Österreich;
# Voraussetzugn ist, daß sie grundsätzlich eine erfolgreiche verbindung
# herstellen können.
# genauere Informationen dazu finden sie im österreichischen adsl-howto
# [url]http://howto.htlw16.ac.at/at-highspeed-howto.html[/url]
PATH=/bin:/usr/bin:/sbin/:usr/sbin
DAEMON=/usr/sbin/pptp
PPPD=/usr/sbin/pppd
# verwenden sie für die pid-datei den namen des Interface über das die
# adsl-verbindung läuft;
# wenn das interface z.b. ppp1 ist, dann ist das /var/run/ppp1.pid
PIDFILE=/var/run/ppp0.pid
MODEM="10.0.0.138" # ip-adresse des adsl-modems, standard: 10.0.0.138
OPTS="persist maxfail 0" # automatische wiedereinwahl ohne ende
ARGS="$MODEM $OPTS"
test -x $DAEMON || exit 0
test -x $PPPD || exit 0
case "$1" in
start)
echo -n "Starting adsl"
if start-stop-daemon --quiet --stop --signal 0 --pidfile $PIDFILE --name pppd; then
echo ": already running."
exit 0
fi
if start-stop-daemon --start --quiet --exec $DAEMON -- $ARGS; then
echo "."
else
echo ": not started"
fi
;;
stop)
echo -n "Stopping adsl"
if start-stop-daemon --quiet --stop --signal 0 --pidfile $PIDFILE --name pppd; then
# nach spätestens drei sekunden aufgeben
if start-stop-daemon --stop --retry 3 --quiet --pidfile $PIDFILE --exec $PPPD --name pppd; then
sleep 3
echo "."
else
echo ": not stopped."
exit 1
fi
else
echo ": not running.";
fi
;;
reload)
#SIGHUP senden, siehe pppd-manual
if [ ! -z "`echo persist | grep -i persist`" ]; then
echo -n "trying to reestablish adsl-connection: "
# wenn nach spätestens 7 sekunden pppd nicht beendet ist,
# dann war wiedereinwahl erfolgreich
if ! start-stop-daemon --quiet --stop --retry -1/7 --exec $PPPD --name pppd; then
echo "connection reestablished."
else
echo "connection terminated."
fi
else
echo "reestablishing adsl-connection is only possible if $PPPD was started with the "persist"-option."
fi
;;
force-reload|restart)
$0 stop && $0 start
;;
*)
echo "usage: adsl start|stop|restart|reload|force-reload"
exit 1
;;
esac
exit 0
Nov 28 15:41:59 localhost pppd[1280]: Using interface ppp0
Nov 28 15:41:59 localhost pppd[1280]: Connect: ppp0 <--> /dev/pts/0
Nov 28 15:41:59 localhost pppd[1280]: No CHAP secret found for authenticating ac1-br1-lanal052
Nov 28 15:41:59 localhost pppd[1280]: Peer ac1-br1-lanal052 failed CHAP authentication
Nov 28 15:41:59 localhost pppd[1280]: Connection terminated.
nun steht da No CHAP secret found for authenticating ac1-br1-lanal052
wo kommt das ac1-br1-lanal052 her ?
so siehts aus wenn alles i.o. ist quasi ohne dem script
Nov 28 22:44:20 localhost kernel: CSLIP: code copyright 1989 Regents of the University of California
Nov 28 22:44:20 localhost kernel: PPP generic driver version 2.4.2
Nov 28 22:44:20 localhost pppd[1423]: pppd 2.4.2 started by root, uid 0
Nov 28 22:44:20 localhost pppd[1423]: Serial connection established.
Nov 28 22:44:20 localhost pptp[1428]: log[pptp_dispatch_ctrl_packet:pptp_ctrl.c:580]: Client connection established.
Nov 28 22:44:20 localhost pppd[1423]: Using interface ppp0
Nov 28 22:44:20 localhost pppd[1423]: Connect: ppp0 <--> /dev/pts/2
Nov 28 22:44:21 localhost pptp[1428]: log[pptp_dispatch_ctrl_packet:pptp_ctrl.c:708]: Outgoing call established (call ID 0, peer's call ID 0).
Nov 28 22:44:26 localhost pppd[1423]: CHAP authentication succeeded: CHAP authentication success, unit 1270
Nov 28 22:44:26 localhost kernel: PPP BSD Compression module registered
Nov 28 22:44:27 localhost kernel: PPP Deflate Compression module registered
Nov 28 22:44:27 localhost pppd[1423]: Cannot determine ethernet address for proxy ARP
Nov 28 22:44:27 localhost pppd[1423]: local IP address 62.245.xxx.xxx
Nov 28 22:44:27 localhost pppd[1423]: remote IP address 62.245.xxx.xxx
was mir auffällt ist folgendes
mit script
Nov 28 15:41:59 localhost pppd[1280]: Connect: ppp0 <--> /dev/pts/0
ohne script
Nov 28 22:44:20 localhost pppd[1423]: Connect: ppp0 <--> /dev/pts/2
was ist /dev/pts/0 bzw /dev/pts/2 ?
das ganze hab ich von hier
ich versteh einfach nicht wieso das nich geht ...
eigentlich müsste alles reibungslos laufen